Bug 206919 - security/libgcrypt: Fix alignment of self-test context and build on sparc
Summary: security/libgcrypt: Fix alignment of self-test context and build on sparc
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Carlos J. Puga Medina
URL: https://lists.gnupg.org/pipermail/gcr...
Keywords: patch, patch-ready
Depends on:
Blocks:
 
Reported: 2016-02-04 10:42 UTC by Carlos J Puga Medina
Modified: 2016-03-28 23:43 UTC (History)
2 users (show)

See Also:
cpm: merge-quarterly+


Attachments
v0 (9.38 KB, patch)
2016-02-04 10:42 UTC, Carlos J Puga Medina
no flags Details | Diff
patch (5.73 KB, patch)
2016-03-23 20:10 UTC, Carlos J. Puga Medina
cpm: maintainer-approval+
Details | Diff
patch (6.90 KB, patch)
2016-03-23 20:46 UTC, Carlos J. Puga Medina
cpm: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Carlos J Puga Medina 2016-02-04 10:42:58 UTC
Created attachment 166552 [details]
v0

This patch fixes alignment of self-test context in salsa20 required for amd64 implementation.

Other changes:
- Regenerate patches to make portlint(1) happy
- Update MAINTAINER to my @FreeBSD.org address
- Bump PORTREVISION
Comment 1 Carlos J. Puga Medina freebsd_committer 2016-02-04 10:50:39 UTC
Build-tested on 9.3 (i/a) and 10.2 (i/a). All OK with DEVELOPER=yes.
Comment 2 commit-hook freebsd_committer 2016-02-08 20:54:36 UTC
A commit references this bug:

Author: cpm
Date: Mon Feb  8 20:54:11 UTC 2016
New revision: 408514
URL: https://svnweb.freebsd.org/changeset/ports/408514

Log:
  This patch fixes alignment of self-test context in salsa20 required
  for amd64 implementation.

  Other changes:
     - Regenerate patches to make portlint(1) happy
     - Update MAINTAINER to my @FreeBSD.org address
     - Bump PORTREVISION

  PR:		206919
  Approved by:	junovitch (mentor)

Changes:
  head/security/libgcrypt/Makefile
  head/security/libgcrypt/files/patch-cipher-Makefile.in
  head/security/libgcrypt/files/patch-cipher_salsa20.c
  head/security/libgcrypt/files/patch-git_f5832285
  head/security/libgcrypt/files/patch-src_gcrypt.h.in
Comment 3 commit-hook freebsd_committer 2016-02-16 13:27:44 UTC
A commit references this bug:

Author: cpm
Date: Tue Feb 16 13:27:16 UTC 2016
New revision: 408992
URL: https://svnweb.freebsd.org/changeset/ports/408992

Log:
  MFH: r408514

  This patch fixes alignment of self-test context in salsa20 required
  for amd64 implementation.

  Other changes:
     - Regenerate patches to make portlint(1) happy
     - Update MAINTAINER to my @FreeBSD.org address
     - Bump PORTREVISION

  PR:		206919
  Approved by:	junovitch (mentor)
  Approved by:	ports-secteam (eadler)

Changes:
_U  branches/2016Q1/
  branches/2016Q1/security/libgcrypt/Makefile
  branches/2016Q1/security/libgcrypt/files/patch-cipher-Makefile.in
  branches/2016Q1/security/libgcrypt/files/patch-cipher_salsa20.c
  branches/2016Q1/security/libgcrypt/files/patch-git_f5832285
  branches/2016Q1/security/libgcrypt/files/patch-src_gcrypt.h.in
Comment 4 Carlos J. Puga Medina freebsd_committer 2016-02-16 13:41:41 UTC
The patch proposed by Jussi Kivilinna (libgcrypt dev) needs to be reviewed since it didn't fix the issue related to KeepassX.
Comment 5 Carlos J. Puga Medina freebsd_committer 2016-03-23 20:10:26 UTC
Created attachment 168545 [details]
patch
Comment 6 Carlos J. Puga Medina freebsd_committer 2016-03-23 20:13:59 UTC
(In reply to Carlos J. Puga Medina from comment #5)

The following patch fixes some problems:

* cipher/salsa20.c (selftest): Ensure 16-byte alignment for salsa20
context structure.

* mpi/longlong.h: Fix build on sparc
Comment 7 Carlos J. Puga Medina freebsd_committer 2016-03-23 20:39:30 UTC
All builds are fine.

# poudriere testport -j 93x32 -o security/libgcrypt [OK]
# poudriere testport -j 93x64 -o security/libgcrypt [OK]
# poudriere testport -j 10x32 -o security/libgcrypt [OK]
Comment 8 Carlos J. Puga Medina freebsd_committer 2016-03-23 20:46:44 UTC
Created attachment 168547 [details]
patch
Comment 9 Jason Unovitch freebsd_committer 2016-03-28 01:21:56 UTC
(In reply to Carlos J. Puga Medina from comment #8)
Approved.
Comment 10 commit-hook freebsd_committer 2016-03-28 23:42:37 UTC
A commit references this bug:

Author: cpm
Date: Mon Mar 28 23:41:46 UTC 2016
New revision: 412077
URL: https://svnweb.freebsd.org/changeset/ports/412077

Log:
  - cipher/salsa20.c (selftest): Ensure 16-byte alignment for salsa20
  context structure.

  - mpi/longlong.h: Fix build on sparc.

  PR:		206919
  Approved by:	junovitch (mentor)

Changes:
  head/multimedia/mpv/Makefile
  head/security/libgcrypt/Makefile
  head/security/libgcrypt/files/patch-cipher-Makefile.in
  head/security/libgcrypt/files/patch-cipher_salsa20.c
  head/security/libgcrypt/files/patch-mpi_longlong.h
Comment 11 Carlos J. Puga Medina freebsd_committer 2016-03-28 23:42:57 UTC
Done!